Subject: Re: bug#70168: 29.3; "Invalid face box" when :style is before :color
From: Eli Zaretskii <[email-masked]>
To: Damien Cassou <[email-masked]>
Cc: [email-masked]
Date: Thu, 04 Apr 2024 07:14:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Damien Cassou <[email-masked]>
> Date: Wed, 03 Apr 2024 20:37:11 +0200
> 
> in Emacs 29.3,
> 
>   $ emacs -Q --eval '(defface my/box-face `((((class color)) :box (:style nil :color "grey25"))) "")'
> 
> prints the error message:
> 
>   face-spec-set-2: Invalid face box: :style, nil, :color, "grey25"
> 
> But if we swap :style and :color as in
> 
>   $ emacs -Q --eval '(defface my/box-face `((((class color)) :box (:color "grey25" :style nil))) "")'
> 
> everything is fine.

Thanks.  I can reproduce this on the emacs-29 branch, but not on
master.  I see that we fixed that as part of bug#67567.

So I'm closing this bug as already fixed.